<template>
  <div v-loading.body.fullscreen="fullscreenLoading" element-loading-background="rgba(255, 255, 255, 0)">
    <!-- 关于极度 -->
    <backBar :title="$t('about.l4')"/>
    <iframe class="iframe" :src="webUrl + 'about?flag=app'" frameborder="0"></iframe>
  </div>
</template>
<script>
import backBar from '@/components/backBar'
export default {
  components: {
    backBar
  },
  computed: {
    webUrl() {
      if (window.location.hostname == 'localhost') {
        return `https://jdnx.com/${this.language}/`
      }
      var hostname = ''
      if (window.location.hostname.indexOf('m.') !== -1) {
        hostname = window.location.hostname.replace('m.', 'www.')
      } else {
        hostname = 'www.' + window.location.hostname
      }
      return `${window.location.protocol}//${hostname}/${this.language}/`
    },
  }
}
</script>
<style lang="less" scoped>
.iframe {
  position: fixed;
  top: 50px;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: calc(100% - 50px);
}
</style>